Bug 2047896 (CVE-2022-25309)

Summary: CVE-2022-25309 fribidi: Heap-buffer-overflow in fribidi_cap_rtl_to_unicode
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bdettelb, caillon+fedoraproject, eng-i18n-bugs, gnome-sig, jburrell, jwong, kaycoth, manisandro, mclasen, michel, rhughes, rstrode, sandmann, tagoh, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A heap-based buffer overflow flaw was found in the Fribidi package and affects the fribidi_cap_rtl_to_unicode() function of the fribidi-char-sets-cap-rtl.c file. This flaw allows an attacker to pass a specially crafted file to the Fribidi application with the '--caprtl' option, leading to a crash and causing a denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2050068, 2050069, 2067042, 2067043    
Bug Blocks: 2047924    

Description Pedro Sampaio 2022-01-28 19:57:29 UTC
A heap based buffer overflow was found in fribidi_cap_rtl_to_unicode.

References:

https://github.com/fribidi/fribidi/issues/182

Comment 6 TEJ RATHI 2022-03-23 06:12:52 UTC
Created fribidi tracking bugs for this issue:

Affects: fedora-all [bug 2067043]


Created mingw-fribidi tracking bugs for this issue:

Affects: fedora-all [bug 2067042]

Comment 8 errata-xmlrpc 2022-11-08 09:22:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:7514 https://access.redhat.com/errata/RHSA-2022:7514

Comment 9 errata-xmlrpc 2022-11-15 09:57:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:8011 https://access.redhat.com/errata/RHSA-2022:8011